## org.codehaus.groovy.grails.orm.hibernate.cfg
Class CacheConfig

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.cfg.CacheConfig

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class CacheConfig

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`CacheConfig()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`boolean` `getEnabled()`
`static Object` `getINCLUDE_OPTIONS()`
`String` `getInclude()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`static Object` `getUSAGE_OPTIONS()`
`String` `getUsage()`
`Object` `invokeMethod(String method, Object arguments)`
`boolean` `isEnabled()`
`void` `setEnabled(boolean value)`
`void` `setInclude(String value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`
`void` `setUsage(String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheConfig

    public CacheConfig()

Method Detail

### getUSAGE_OPTIONS

    public static Object getUSAGE_OPTIONS()

### getINCLUDE_OPTIONS

    public static Object getINCLUDE_OPTIONS()

### getUsage

    public String getUsage()

### setUsage

    public void setUsage(String value)

### getEnabled

    public boolean getEnabled()

### isEnabled

    public boolean isEnabled()

### setEnabled

    public void setEnabled(boolean value)

### getInclude

    public String getInclude()

### setInclude

    public void setInclude(String value)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project